lkml.org 
[lkml]   [2002]   [Mar]   [4]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectMatrox Framebuffer with 2.4.18-ac2 and -ac3 (was: Linux 2.4.18-ac3)
Hi Alan,

I can't compile 2.4.18-ac2 and -ac3 with Matrox Framebuffer support.
The following error occured while making bzImage:

ld -m elf_i386 -T
/home/tretkowski/test/linux-2.4.18-rc3/arch/i386/vmlinux.lds -e stext arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o init/version.o \
--start-group \
arch/i386/kernel/kernel.o arch/i386/mm/mm.o kernel/kernel.o mm/mm.o fs/fs.o ipc/ipc.o \
drivers/char/char.o drivers/block/block.o drivers/misc/misc.o drivers/net/net.o drivers/media/media.o drivers/ide/idedriver.o drivers/cdrom/driver.o drivers/pci/driver.o drivers/video/video.o \
net/network.o \
/home/tretkowski/test/linux-2.4.18-rc3/arch/i386/lib/lib.a /home/tretkowski/test/linux-2.4.18-rc3/lib/lib.a /home/tretkowski/test/linux-2.4.18-rc3/arch/i386/lib/lib.a \
--end-group \
-o vmlinux
drivers/video/video.o: In function `m1064_compute':
drivers/video/video.o(.text+0xad9d): undefined reference to
`matroxfb_g450_setclk'
make: *** [vmlinux] Error 1

Relevant part of my .config:

CONFIG_FB=y
CONFIG_DUMMY_CONSOLE=y
CONFIG_VIDEO_SELECT=y
CONFIG_FB_MATROX=y
CONFIG_FB_MATROX_MYSTIQUE=y

Without Framebuffer the kernel compiles fine. Maybe this

> Linux 2.4.18pre7-ac2
> o Updated matrox drivers (Petr Vandrovec)

is the problem?

Regards, Norbert
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 13:24    [W:0.044 / U:11.460 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site